<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Login</title>

    <!-- Favicons -->
	<link rel="apple-touch-icon" href="images/apple-touch-icon.png" sizes="180x180">
	<link rel="icon" href="images/favicon-32x32.png" sizes="32x32" type="image/png">
	<link rel="icon" href="images/favicon-16x16.png" sizes="16x16" type="image/png">
	<link rel="icon" href="images/favicon.ico">

	<!-- CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/custom.css?v=<?php echo rand();?>" rel="stylesheet">
  </head>
  <body>
  	<div class="splash active">
		<div class="splash-icon"></div>
	</div>
  	<section class="error-section d-flex align-items-center justify-content-center vh-100">
  		<div class="container">
  			<div class="row justify-content-center">
  				<div class="col-12 col-sm-12 col-md-4">
  					<div class="card shadow border-0">
  						<div class="card-body text-center">
  							<a href="index.php"><img src="images/logo.png" class="mb-3" alt="Image not found"></a>
  							<h1 class="fs-1 fw-bold mb-1 text-muted">404</h1>
  							<p class="text-muted mb-1">Oops! You're lost</p>
  							<p class="text-secondary">The page you are looking for was not found.</p>
						</div>
  				    </div>
  			    </div>
  			</div>
  		</div>
  	</section>
    <script src="js/bootstrap.bundle.min.js"></script>
    <script src="js/jquery.min.js"></script>
    <script src="js/custom.js?v=<?php echo md5(rand()); ?>"></script>
</html>