<?php  
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: login.php");exit;
	}

	// OPEN DB CONNECTION
	require('dbconfig.php');

    $prospects = array();
    $user_id = $_SESSION['User']['id'];
    $role    = $_SESSION['User']['role'];
    $user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
    $profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

    // Check if the parameter exists in the URL
    if (isset($_GET['indc'])) {
        $indc = $_GET['indc'];
    } else {
        $indc = "all";
    }

    $week_initial = date('Y-m-d', strtotime('last sunday'));
    $week_target  = date('Y-m-d');

    $month_initial = date('Y-m-d', strtotime('first day of this month'));
    $month_target  = date('Y-m-d', strtotime('last day of this month'));

    $year_initial = date('Y-m-d', strtotime('first day of january this year'));
    $year_target  = date('Y-m-d', strtotime('last day of december this year'));

	if($indc == 'all'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' ORDER BY created DESC";
    } else if($indc == 'emopen'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND email_open=1 ORDER BY created DESC";
    } else if($indc == 'prclck'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND presentation_click=1 ORDER BY created DESC";
    } else if($indc == 'twlpr'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsprospect' AND DATE(created) BETWEEN '$week_initial' AND '$week_target' ORDER BY created DESC";
    } else if($indc == 'twlas'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsassociate' AND DATE(created) BETWEEN '$week_initial' AND '$week_target' ORDER BY created DESC";
    } else if($indc == 'tmlpr'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsprospect' AND DATE(created) BETWEEN '$month_initial' AND '$month_target' ORDER BY created DESC";
    } else if($indc == 'tmlas'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsassociate' AND DATE(created) BETWEEN '$month_initial' AND '$month_target' ORDER BY created DESC";
    } else if($indc == 'tylpr'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsprospect' AND DATE(created) BETWEEN '$year_initial' AND '$year_target' ORDER BY created DESC";
    } else if($indc == 'tylas'){
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsassociate' AND DATE(created) BETWEEN '$year_initial' AND '$year_target' ORDER BY created DESC";
    } else {
        $prospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' ORDER BY created DESC";
    }
	$prospect_result = $conn->query($prospect_sql);

	if($prospect_result->num_rows > 0){
		$count = 0;
		while($row = $prospect_result->fetch_assoc()) {
			$prospects[$count] = $row;
			$count++;
		}
	}

	// CLOSE DB CONNECTION
	$conn->close();
?>

<!doctype html>
<html lang="en">

    <head>
        
        <meta charset="utf-8" />
        <title>Contacts | Anovite - Admin & Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="Premium Multipurpose Admin & Dashboard Template" name="description" />
        <meta content="Themesbrand" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <!-- DataTables -->
        <link href="assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css" />
        <link href="assets/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />

        <!-- Responsive datatable examples -->
        <link href="assets/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css" rel="stylesheet" type="text/css" />

        <!-- Bootstrap Css -->
        <link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
        <!-- Icons Css -->
        <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <!-- App Css-->
        <link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
        <!-- App js -->
        <script src="assets/js/plugin.js?v=898"></script>

        <link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

    </head>

    <body data-sidebar="dark">

        <div class="splash active">
            <div class="spinner-container">
                <center><div class="splash-icon"></div></center>
                <div class="loading-text">Loading your contacts...</div>
            </div>
        </div>

        <!-- Begin page -->
        <div id="layout-wrapper">

            
            <?php include_once 'header.php'; ?>

            <!-- ========== Left Sidebar Start ========== -->
            <?php include_once 'sidebar.php'; ?>
            <!-- Left Sidebar End -->


            <!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18">Contacts</h4>
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Prospects</li>
                                        </ol>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
        
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <a href="sendsms.php?token=<?php echo md5(rand());?>" class="btn btn-primary float-end mb-2"><i class="bx bx-message"></i> Send SMS</a>
                                        <a href="sendmail.php?token=<?php echo md5(rand());?>" class="btn btn-info float-end mb-2 me-2"><i class="bx bx-envelope"></i> Send Email</a>
                                        <a href="video-message.php?token=<?php echo md5(rand());?>" class="btn btn-warning float-end mb-2 me-2"><i class="bx bx-video"></i> Send Video Message</a>
                                        <h4 class="card-title">List of all contacts</h4>
                                        <p class="card-title-desc">Organizing Your Contact Database: The Complete List</p>
        
                                        <table id="dataTable" class="table table-bordered table-sm dt-responsive nowrap w-100">
                                            <thead>
                                                <tr>
                                                	<th>Id</th>
                                                    <th>Name</th>
                                                    <th>Email Address</th>
                                                    <th>Phone</th>
                                                    <th>Country</th>
                                                    <th>Source</th>
                                                    <th>Created</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php foreach ($prospects as $key => $prospect) :?>
                                                <?php 
                                                    // REMOVE ALL SPECIAL CHARACTERS FROM A PHONE NUMBER
                                                    $phone = $prospect['dial_code'] . ' ' . $prospect['phone'];
                                                    preg_match_all('!\d+!', $phone, $matches);
                                                    $phone_number = implode('', $matches[0]);

                                                    switch ($prospect['type']) {
                                                        case 'bsprospect':
                                                            $prospect_type = 'Business';
                                                            break;
                                                        case 'csprospect':
                                                            $prospect_type = 'Customer';
                                                            break;
                                                        default:
                                                            $prospect_type = 'None';
                                                            break;
                                                    }
                                                    switch ($prospect['country']) {
                                                        case 'US':
                                                            $country = 'United States';
                                                            break;
                                                        case 'GB':
                                                            $country = 'United Kingdom';
                                                            break;
                                                        default:
                                                            $country = $prospect['country'];
                                                            break;
                                                    }
                                                    switch ($prospect['source']) {
                                                        case 'page':
                                                            $prospect_source = 'Landing Page';
                                                            break;
                                                        case 'site':
                                                            $prospect_source = 'Manually Added';
                                                            break;
                                                        case 'csv':
                                                            $prospect_source = 'CSV Upload';
                                                            break;
                                                        default:
                                                            $prospect_source = 'Unknown';
                                                            break;
                                                    }
                                                ?>
    											<tr>
    												<td><?php echo $key+1;?></td>
    												<td><?php echo $prospect['first_name'] . ' ' . $prospect['last_name'];?></td>
    												<td><?php echo $prospect['email'];?> <a href="mailto:<?php echo $prospect['email'];;?>" title="Email Sending" target="_blank"><i class="bx bx-envelope fs-2"></i></a></td>
    												<td> +<?php echo $phone_number;?>
                                                        <a href="https://wa.me/<?php echo $phone_number;?>" title="WhatsApp Calling" target="_blank"><i class="bx bxl-whatsapp fs-2"></i></a>
                                                        <a href="tel:<?php echo $phone_number;?>" title="Direct Calling" target="_blank"><i class="bx bx-mobile fs-2"></i></a>
                                                    </td>
    												<td><?php echo $country;?></td>
                                                    <td><?php echo $prospect_source;?></td>
    												<td><?php echo date('d/m/Y', strtotime($prospect['created']));?></td>
                                                    <td>
                                                        <a href="view-contact.php?pid=<?php echo $prospect['id'];?>&token=<?php echo md5(rand());?>" class="btn btn-warning"><i class="bx bx-search"></i> View</a>
                                                        <a href="edit-contact.php?pid=<?php echo $prospect['id'];?>&token=<?php echo md5(rand());?>" class="btn btn-info"><i class="bx bx-edit-alt"></i> Edit</a>
                                                        <a href="#" class="btn btn-danger delete-contact" data-pid="<?php echo $prospect['id'];?>"><i class="bx bx-trash"></i> Delete</a>
                                                    </td>
    											</tr>
    											<?php endforeach; ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <?php include_once 'footer.php'; ?>
            </div>
            <!-- end main content-->

        </div>
        <!-- END layout-wrapper -->

        <!-- JAVASCRIPT -->
        <script src="assets/libs/jquery/jquery.min.js"></script>
        <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="assets/libs/metismenu/metisMenu.min.js"></script>
        <script src="assets/libs/simplebar/simplebar.min.js"></script>
        <script src="assets/libs/node-waves/waves.min.js"></script>

        <!-- Required datatable js -->
        <script src="assets/libs/datatables.net/js/jquery.dataTables.min.js"></script>
        <script src="assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>

        <!-- Buttons examples -->
        <script src="assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
        <script src="assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
        <script src="assets/libs/jszip/jszip.min.js"></script>
        <script src="assets/libs/pdfmake/build/pdfmake.min.js"></script>
        <script src="assets/libs/pdfmake/build/vfs_fonts.js"></script>
        <script src="assets/libs/datatables.net-buttons/js/buttons.html5.min.js"></script>
        <script src="assets/libs/datatables.net-buttons/js/buttons.print.min.js"></script>
        <script src="assets/libs/datatables.net-buttons/js/buttons.colVis.min.js"></script>

        <!-- Responsive examples -->
        <script src="assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
        <script src="assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js"></script>

        <!-- Datatable init js -->
        <script src="assets/js/pages/datatables.init.js"></script>   

        <!-- validation init -->
        <script src="assets/libs/validator/jquery.validate.min.js"></script>
        <script src="assets/libs/validator/additional-methods.min.js"></script> 

        <script src="assets/js/app.js"></script>
        <script src="assets/js/custom.js?v=<?php echo rand();?>"></script>
        <script type="text/javascript">
            $(document).ready(function() {

                $("#dataTable").DataTable({
                    lengthChange: !1,
                    buttons: [
                    {
                      extend: "csv",
                      exportOptions: {
                        columns: [0, 1, 2,3,6] // Specify the columns you want to export (0-based index)
                      }
                    },
                    {
                      extend: "excel",
                      exportOptions: {
                        columns: [0, 1, 2,3,6] // Specify the columns you want to export (0-based index)
                      }
                    },
                    {
                      extend: "pdf",
                      exportOptions: {
                        columns: [0, 1, 2,3,6] // Specify the columns you want to export (0-based index)
                      }
                    },
                    "copy",
                    "colvis"
                  ]
                }).buttons().container().appendTo("#dataTable_wrapper .col-md-6:eq(0)"), $(".dataTables_length select").addClass("form-select form-select-sm");

                // AUTO HIDE SPLASH SCREEN
                $('.splash').removeClass('active');
            });
        </script>
    </body>
</html>