<!doctype html>
<html lang="en">

<head>

    <meta charset="utf-8" />
    <title>Home | ResMax</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="ResMax Admin & Dashboard" name="description" />
    <meta content="Global Home Business" name="author" />
    <!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

    <!-- Bootstrap Css -->
    <link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/libs/fancybox/css/jquery.fancybox.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
    <!-- App js -->
    <script src="assets/js/plugin.js?v=988"></script>
    
    <link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />
</head>

<body>
    <section class="banner-section">
        <div class="banner-wrapper py-3">
            <div class="container">
                <div class="row justify-content-between">
                    <div class="col-md-12 align-self-center text-lg-start text-md-center text-center">
                        <div class="py-md-3 py-2"></div>
                        <a href="login.php?token=<?php echo md5(rand());?>" class="btn btn-light fw-bold float-end fs-2 d-lg-block d-md-none d-none">Sign In</a>
                        <a class="navbar-brand" href="/"><img src="assets/images/logo-white.png?v=232" class="img-fluid mb-4" alt="Image not found"></a>
                    </div>
                </div>
                <div class="row justify-content-between">
                    <div class="col-lg-10 col-md-12 col-12 align-self-center text-lg-start text-md-center text-center">
                        <div class="py-md-4 py-3"></div>
                        <h1 class="text-white display-4 fw-bold">MARKETING MANAGEMENT SYSTEM</h1>
                        <div class="py-md-2 py-1"></div>
                        <p class="text-white fs-1 fw-lighter">This powerful system will help you harness the power of the internet to build a global business.</p>
                        <div class="py-md-3 py-2"></div>
                        <a href="register.php?token=<?php echo md5(rand());?>" class="btn btn-light fw-bold fs-2">Get Started</a>
                        <div class="py-2"></div>
                        <a href="login.php?token=<?php echo md5(rand());?>" class="btn btn-light fw-bold fs-2 d-lg-none">Sign In</a>
                        <div class="py-md-5 py-3"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="video-section">
        <div class="video-wrapper py-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <h1 class="display-6 text-white text-center mb-4">The Fountain of Youth doesn't exist, but this is pretty darn close.</h1>
                        <div class="ratio ratio-16x9 border border-5 border-secondary">
                            <a data-fancybox data-type="iframe" href="https://player.vimeo.com/video/935344888?autoplay=1&title=0&byline=0&portrait=0" frameborder="0" allow="autoplay; fullscreen" allowfullscreen>
                                <img src="assets/images/video-thumbnail.png" class="img-fluid" alt="Image not found">
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="featured-section">
        <div class="featured-wrapper py-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-12 col-sm-12 col-md-6 mb-4">
                        <div class="card h-100 border-0">
                            <div class="row g-0">
                                <div class="col-md-3 text-center align-self-center">
                                    <img src="assets/images/featured-icon-01.png" class="rounded-start" alt="Image not found">
                                </div>
                                <div class="col-md-9 align-self-center">
                                    <div class="card-body py-md-4 text-md-start text-center">
                                        <h3>On-demand video presentations</h3>
                                        <p>Share professionally designed, on-demand video presentations and webinars with potential customers and new team members</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-12 col-md-6 mb-4">
                        <div class="card h-100 border-0">
                            <div class="row g-0">
                                <div class="col-md-3 text-center align-self-center">
                                    <img src="assets/images/featured-icon-02.png" class="rounded-start" alt="Image not found">
                                </div>
                                <div class="col-md-9 align-self-center">
                                    <div class="card-body py-md-4 text-md-start text-center">
                                        <h3>Automated Follow Up</h3>
                                        <p>Professionally written Emails, SMS messages and WhatApp messages designed to nurture your prospects.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-12 col-md-6 mb-4">
                        <div class="card h-100 border-0">
                            <div class="row g-0">
                                <div class="col-md-3 text-center align-self-center">
                                    <img src="assets/images/featured-icon-04.png" class="rounded-start" alt="Image not found">
                                </div>
                                <div class="col-md-9 align-self-center">
                                    <div class="card-body py-md-4 text-md-start text-center">
                                        <h3>Automated tracking</h3>
                                        <p>See exactly who has opened emails, watched videos and is engaged in exploring your business</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-12 col-md-6 mb-4">
                        <div class="card h-100 border-0">
                            <div class="row g-0">
                                <div class="col-md-3 text-center align-self-center">
                                    <img src="assets/images/featured-icon-05.png" class="rounded-start" alt="Image not found">
                                </div>
                                <div class="col-md-9 align-self-center">
                                    <div class="card-body py-md-4 text-md-start text-center">
                                        <h3>Professional lead generation</h3>
                                        <p>Multiple customized lead nurturing pages to promote your business and expand your customer base</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="footer-section py-4">
        <div class="container">
            <div class="row">
                <div class="col-12 text-center">
                    <p class="m-0">&copy; <?php echo date('Y'); ?> GHB. All rights reserved. <a href="https://resmax.com/terms-of-use/" class="text-decoration-none" target="_blank">Terms of Use</a></p>
                    <p class="m-0">No part of this website nor its content may be used without expressed written permission of the owner.</p>
                </div>
            </div>
        </div>
    </section>

    <!-- JAVASCRIPT -->
    <script src="assets/libs/jquery/jquery.min.js"></script>
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/fancybox/js/jquery.fancybox.min.js"></script>
    <script src="assets/libs/metismenu/metisMenu.min.js"></script>
    <script src="assets/libs/simplebar/simplebar.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>
    <script src="assets/libs/validator/jquery.validate.min.js"></script>
    <script src="assets/libs/validator/additional-methods.min.js"></script>
    <!-- App js -->
    <script src="assets/js/app.js"></script>
</body>

</html>