<?php  
    session_start();
    error_reporting(0);
    ini_set('display_errors', false);
    ini_set('display_startup_errors', false);

    // OPEN DB CONNECTION
    require('dbconfig.php');

    // GET THE TRACKING ID
    $trackingid = $_GET['tid'];

    if(isset($trackingid) && !empty($trackingid)){

        // GET THE CLIENT SIDE IP ADDRESS
        $ipaddress = '';
        if (getenv('HTTP_CLIENT_IP'))
            $ipaddress = getenv('HTTP_CLIENT_IP');
        else if(getenv('HTTP_X_FORWARDED_FOR'))
            $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
        else if(getenv('HTTP_X_FORWARDED'))
            $ipaddress = getenv('HTTP_X_FORWARDED');
        else if(getenv('HTTP_FORWARDED_FOR'))
            $ipaddress = getenv('HTTP_FORWARDED_FOR');
        else if(getenv('HTTP_FORWARDED'))
            $ipaddress = getenv('HTTP_FORWARDED');
        else if(getenv('REMOTE_ADDR'))
            $ipaddress = getenv('REMOTE_ADDR');
        else
            $ipaddress = 'UNKNOWN';

        $json  = file_get_contents("https://ipinfo.io/$ipaddress/geo");
        $data  = json_decode($json ,true);
        $city  = $data['city'];
        $state = $data['region'];
        $timezone  = $data['timezone'];
        $post_code = $data['postal'];           
        $country_code = $data['country'];           
        $device_info  = getenv('HTTP_USER_AGENT');

        // tracking stuff
        $check_sql = "SELECT * FROM trackings WHERE trackingid='$trackingid' LIMIT 1";
        $check_result = $conn->query($check_sql);
        if($check_result->num_rows > 0){
            $update_sql = "UPDATE trackings SET city='$city', state='$state', timezone='$timezone', post_code='$post_code', ipaddress='$ipaddress', device_info='$device_info', country_code='$country_code', opened=1 WHERE trackingid='$trackingid'";
            $conn->query($update_sql);
        }

        // SENT RESPONSE TO THE REQUESTED SERVER
        $small_image = 'https://ghbsystem.co.uk/assets/images/blank.gif';
        $image_info  = getimagesize($small_image);
        $mime_type   = $image_info['mime'];
                    
        // tell the browser to expect an image
        header('Content-type: '. $mime_type);

        // send it an image
        echo file_get_contents($small_image);
    }
    
    // CLOSE DB CONNECTION
    $conn->close();