<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Login | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />
	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=988"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body>

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>
	
	<div class="toast-container position-fixed bottom-0 start-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<div class="account-pages my-5 pt-sm-5">
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-md-8 col-lg-6 col-xl-5">
					<div class="card overflow-hidden">
						<div class="bg-primary">
							<div class="row">
								<div class="col-7">
									<div class="text-white p-4">
										<a class="navbar-brand" href="/"><img src="assets/images/logo-sm-white.png?v=232" class="mb-4" alt="Image not found"></a>
										<h5 class="text-white mb-1">Welcome Back !</h5>
										<p>Sign in to continue to ResMax.</p>
									</div>
								</div>
								<div class="col-5 align-self-end">
									<img src="assets/images/profile-img.png" alt="" class="img-fluid">
								</div>
							</div>
						</div>
						<div class="card-body">
							<div class="p-2">
								<form class="form-horizontal login-form" action="" method="POST">
									<input type="hidden" name="data[indicator]" value="secure_login">
									<div class="mb-3">
										<label for="email" class="form-label">Email<span class="text-danger">*</span></label>
										<input type="email" class="form-control" name="data[email]" placeholder="Enter email" autocomplete="off" required>
									</div>
									<div class="mb-3">
										<label class="form-label">Password<span class="text-danger">*</span></label>
										<input type="password" class="form-control" name="data[password]" placeholder="Enter password" required>
									</div>
									<div class="form-check">
										<input class="form-check-input" type="checkbox" name="data[remember_me]" id="remember-check">
										<label class="form-check-label" for="remember-check">
											Remember me
										</label>
									</div>
									<div class="mt-3 d-grid">
										<button class="btn btn-primary waves-effect waves-light" type="submit">Log In</button>
									</div>
									<div class="mt-4 text-center">
										<a href="forget-password.php?token=<?php echo md5(rand());?>" class="text-muted"><i class="bx bx-lock me-1"></i> Forgot your password?</a>
									</div>
								</form>
							</div>
						</div>
					</div>
					<div class="mt-5 text-center">
						<div>
							<p>Don't have an account ? <a href="register.php?token=<?php echo md5(rand());?>" class="fw-medium text-primary"> Signup now </a> </p>
							<p>&copy; <?php echo date('Y'); ?> GHB. Crafted with <i class="bx bx-heart text-danger"></i> by Global Home Business</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- end account-pages -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>

	<!-- App js -->
	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>
</body>

</html>