<?php  
    session_start();
    error_reporting(0);
    ini_set('display_errors', false);
    ini_set('display_startup_errors', false);

    // OPEN DB CONNECTION
    require('dbconfig.php');

    // GET THE TRACKING ID
    $trackingid = $_GET['tid'];

    $flag = false;
    if(isset($trackingid) && !empty($trackingid)){

        // tracking stuff
        $check_sql = "SELECT * FROM trackings WHERE trackingid='$trackingid' LIMIT 1";
        $check_result = $conn->query($check_sql);
        if($check_result->num_rows > 0){
            $check_row = $check_result->fetch_assoc();
            $prospect_id = $check_row['prospect_id'];

            $update_sql = "UPDATE eshots SET status=0 WHERE prospect_id='$prospect_id'";
            if($conn->query($update_sql) === TRUE){
                $flag = true;
            } else {
                $flag = false;
            }
        }
    } else {
        $flag = false;
    }
    
    // CLOSE DB CONNECTION
    $conn->close();
?>
<!doctype html>
<html lang="en">

<head>

    <meta charset="utf-8" />
    <title>Opps! | Anovite - Admin & Dashboard</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="Anovite Admin & Dashboard" name="description" />
    <meta content="Global Home Business" name="author" />

    <!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

    <!-- Bootstrap Css -->
    <link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
    <!-- App js -->
    <script src="assets/js/plugin.js?v=988"></script>

</head>

<body>

    <div class="account-pages my-5 pt-sm-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-5">
                    <div class="card">
                        <div class="card-body text-center">
                            <?php if($flag): ?>
                                <p class="display-1 text-success"><i class="bx bx-check-circle"></i></p>
                                <h3>Unsubscription was successful!</h3>
                                <p>You have been successfully removed from this email list and won't receive any further emails from us</p>
                            <?php else : ?>
                                <p class="display-1 text-danger"><i class="bx bx-confused"></i></p>
                                <h3>Opps!! some went wrong</h3>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="mt-5 text-center">
                        <p>&copy; <?php echo date('Y'); ?> Anovite. Crafted with <i class="mdi mdi-heart text-danger"></i> by Global Home Business</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- JAVASCRIPT -->
    <script src="assets/libs/jquery/jquery.min.js"></script>
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/metismenu/metisMenu.min.js"></script>
    <script src="assets/libs/simplebar/simplebar.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>
    
    <!-- App js -->
    <script src="assets/js/app.js"></script>
  </body>
</html>