<?php  
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: login.php");exit;
	}

	// OPEN DB CONNECTION
	require('dbconfig.php');

	$user_id = $_SESSION['User']['id'];
	$role    = $_SESSION['User']['role'];
	$user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
	$profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

	$prospects = array();
	$prospect_sql = "SELECT * FROM prospects WHERE user_id=$user_id";
	$prospect_result = $conn->query($prospect_sql);
	if($prospect_result->num_rows > 0){
		$count = 0;
		while($row = $prospect_result->fetch_assoc()) {
			$prospects[$count] = $row;
			$count++;
		}
	}

	$streams = array();
	$sql = "SELECT * FROM streams WHERE user_id=$user_id";
	$result = $conn->query($sql);
	if($result->num_rows > 0){
		$count = 0;
		while($row = $result->fetch_assoc()) {
			$streams[$count] = $row;
			$count++;
		}
	}

	// CLOSE DB CONNECTION
	$conn->close();
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Video Message | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

	<link href="assets/libs/datetimepicker/css/jquery.datetimepicker.css" rel="stylesheet" />
	<link href="assets/libs/select2/css/select2.min.css" rel="stylesheet" />
	<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.css" rel="stylesheet">
	<style type="text/css">
		.video-overlay {
		    position: relative;
		    background-color: rgba(0, 0, 0, 0.75);
		    display: flex;
		    justify-content: center;
		    align-items: center;
		  }
		  #countDown {
		    color: #ffffff;
		    font-size: 48px;
		    font-weight: bold;
		    position: absolute;
		    z-index: 10000;
		  }
		  .select2-container .select2-selection--multiple{min-height: 38px;}
		  .select2-container--default .select2-selection--multiple,
		  .select2-container--default.select2-container--focus .select2-selection--multiple{border: 1px solid #dee2e6;}
	</style>
</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 end-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18">Video Message</h4>
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="contacts.php">Contacts</a></li>
                                            <li class="breadcrumb-item active">video message</li>
                                        </ol>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
        
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
        
                                        <h4 class="card-title">Send video message to contacts</h4>
                                        <p class="card-title-desc">Connecting Through Video: Sending Personalized Messages to Your Contacts</p>
        
                                        <div class="row justify-content-center">
				                            <div class="col-md-6">
				                                <div class="card border-0">
				                                    <div class="card-body">
				                                        <form method="post" action="#" class="videomail-form">
				                                        	<input type="hidden" name="data[indicator]" value="video_message">
				                                        	<input type="hidden" name="data[streamid]" class="video-stream">
				                                        	<div class="mb-3">
										    					<label for="type" class="form-label">Select To<span class="text-danger">*</span> <span class="total-prospect fs-6 fw-light text-danger"></span></label>
																<select class="form-select prospect-indicator" name="data[type]" required>
																	<option value="">None</option>
																	<option value="all">All</option>
																	<option value="allus">All US</option>
																	<option value="alluk">All UK</option>
																	<option value="emailopen">Email Opened</option>
																	<option value="custom">Custom</option>
																</select>
															</div>
															<div class="row picker-wrapper d-none">
																<div class="col-md-12">
																	<label for="date_range" class="form-label fw-bold text-info fs-5">Select Date Range</label>
																</div>
																<div class="col-md-6 mb-3">
																	<label for="start_date" class="form-label">Start Date</label>
																	<div class="input-group"> 
																		<span class="input-group-text event-cal"><i class="fa fa-calendar"></i></span> 
																		<input type="text" name="data[start_date]" class="form-control datetime-picker start-date" aria-label="Start Date" autocomplete="off" required> 
																	</div>
																</div>
																<div class="col-md-6 mb-3">
																	<label for="start_date" class="form-label">End Date</label>
																	<div class="input-group"> 
																		<span class="input-group-text event-cal"><i class="fa fa-calendar"></i></span> 
																		<input type="text" name="data[end_date]" class="form-control datetime-picker end-date" aria-label="End Date" autocomplete="off" required> 
																	</div>
																</div>
															</div>
				                                           	<div class="mb-3 prospect-bucket d-none">
				                                           		<label for="pids" class="form-label">Select Prospect(s)</label>
				                                           		<select class="form-select all-prospects" name="data[pids][]" multiple>
									      							<?php foreach ($prospects as $key => $prospect) :?>
									      								<optgroup label="<?php echo $prospect['first_name'] . ' ' . $prospect['last_name'];?>">
									      									<option value="<?php echo $prospect['id']; ?>"><?php echo $prospect['email']; ?></option>
									      								</optgroup>
									      							<?php endforeach; ?>
									      						</select>
				                                           	</div>
				                                           	<div class="mb-3">
				                                           		<label for="subject" class="form-label">Subject<span class="text-danger">*</span></label>
				                                           		<input type="text" name="data[subject]" class="form-control" required>
				                                           	</div>
				                                           	<div class="mb-3">
				                                           		<label for="message" class="form-label">Message<span class="text-danger">*</span> <span class="text-warning fw-light">(Type <strong>'VIDEO_URL'</strong> where you want to put your video inside your message)</span></label>
				                                           		<textarea class="form-control" name="data[message]" id="summernote" rows="5" required></textarea>
				                                           	</div>
				                                           	<div class="mb-3">
				                                           		<label for="video_url" class="form-label">Video Selected<span class="text-danger">*</span></label>
				                                           		<input type="text" class="form-control fw-bolder selected-video" name="data[videoname]" placeholder="No video selected" required readonly>
				                                           	</div>
				                                           	<div class="mb-3">
				                                           		<button type="submit" class="btn btn-primary">Send Message</button>
				                                           	</div>
				                                       </form>
				                                    </div>
				                                </div>
				                            </div>
				                            <div class="col-md-6">
				                                <div class="card border-0">
				                                    <div class="card-body">
								      					<h5 class="text-dark fw-light">Record New Video <span class="spinner-grow spinner-grow-sm text-danger spinner-start d-none" role="status"> <span class="sr-only">Loading...</span> </span></h5>
								      					<div class="video-overlay mb-3">
								      						<div id="countDown" class="count-down d-none">5</div>
									      					<div class="ratio ratio-16x9">
										      					<video id="videoPreview" controls muted></video>
										      				</div>
										      			</div>
									      				<div class="prerecorded-video-section">
									      					<form method="post" action="#" class="streaming-form">
									      						<input type="hidden" name="data[indicator]" value="render_video">
										      					<div class="mb-3">
										      						<label for="stream_id" for="form-label">Pre-recorded Videos</label>
										      						<select class="form-select prerecorded-video" name="data[stream_id]">
										      							<option value="">None</option>
										      							<?php foreach ($streams as $key => $stream) :?>
										      							<option value="<?php echo $stream['id']; ?>"><?php echo $stream['name']; ?></option>
										      							<?php endforeach; ?>
										      						</select>
										      					</div>
									      					</form>
									      				</div>
									      				<div class="spinner-upload text-center d-none">
														  	<button class="btn btn-success btn-sm rounded-0" type="button" disabled>
															  	<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
															  	Uploading... please wait
															</button>
														</div>
														<div class="spinner-render text-center d-none">
														  	<button class="btn btn-success btn-sm rounded-0" type="button" disabled>
															  	<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
															    Rendering video... please wait
															</button>
														</div>
														<div class="upload-video-section d-none">
									      					<form method="post" action="#" enctype="multipart/form-data" class="uploadstream-form">
										      					<div class="mb-3">
										      						<label for="name" for="form-label">Name Your Video<span class="text-danger">*</span></label>
										      						<input type="text" name="data[name]" class="form-control stream-name" required>
										      					</div>
										      					<div class="mb-3">
										      						<button type="submit" class="btn btn-secondary mb-2">Upload Video</button>
										      					</div>
										      				</form>
									      				</div>
									      				<div class="row justify-content-between">
								      						<div class="col d-grid">
								      							<button type="button" id="btnStart" class="btn btn-info mb-2" onclick="startRecording()">Start Recording</button>
								      						</div>
								      						<div class="col d-grid">
								      							<button type="button" id="btnStop" class="btn btn-danger mb-2" onclick="stopRecording()">Stop Recording</button>
								      						</div>
								      					</div>
									      			</div>
							      				</div>
				                            </div>
				                        </div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <?php include_once 'footer.php'; ?>
            </div>
            <!-- end main content-->

	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>
	<script src="assets/libs/datetimepicker/js/jquery.datetimepicker.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
	<script src="assets/libs/select2/js/select2.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
	<script src="assets/libs/validator/additional-methods.min.js"></script> 

	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>

	<script type="text/javascript">
		$(document).ready(function(){
			// CREATE HTML EDITOR
			$('#summernote').summernote({
		      placeholder: 'Type your message here',
		      tabsize: 2,
		      height: 200,
		      fontNames: ['Arial', 'Arial Black', 'Comic Sans MS', 'Courier New', 'Helvetica Neue', 'Helvetica', 'Impact', 'Lucida Grande', 'sans-serif', 'Tahoma', 'Times New Roman', 'Verdana'],
		      toolbar: [
		        ['style', ['style']],
		        ['font', ['bold', 'underline', 'clear']],
		        ['fontname', ['fontname']],
		        ['color', ['color']],
		        ['fontsize', ['fontsize']],
		        ['para', ['ul', 'ol', 'paragraph']],
		        ['table', ['table']],
		        ['insert', ['link', 'picture', 'video']],
		        ['view', ['help']]
		      ]
		    });

		    $('.datetime-picker').datetimepicker({
		        format: 'd/m/Y H:i:s' 
		    });
		    $('.event-cal').on('click', function(e) {
		        e.preventDefault();
		        $('.datetime-picker').trigger('focus');
		    });

			$('.all-prospects').select2();
			$('.prospect-indicator').on('change', function(e) {
				e.preventDefault();

				var prospectType = $(this).val();
				if (prospectType == 'custom') {

					$('.total-prospect').empty();
					$('.all-prospects').select2('destroy');
					$('.prospect-bucket').removeClass('d-none');
					$('.picker-wrapper').addClass('d-none');
					$('.all-prospects').select2();
					$('.all-prospects').prop('required', true).focus();
					
				} else if(prospectType == 'emailopen'){
					$('.total-prospect').empty();
					$('.all-prospects').prop('required', false).focus();
					$('.prospect-bucket').addClass('d-none');
					$('.picker-wrapper').removeClass('d-none');
				} else {

					$('.all-prospects').prop('required', false).focus();
					$('.prospect-bucket').addClass('d-none');

					// AUTO HIDE SPLASH SCREEN
					$('.splash').addClass('active');

					$.ajax({
						url: 'functions.php',
						type: 'POST',
						data: {
							'data[indicator]': 'render_contact',
							'data[type]': prospectType
						}
					}).done(function(res) {
						var resp = $.parseJSON(res);

						// AUTO HIDE SPLASH SCREEN
						$('.splash').removeClass('active');

						if (resp.status == true) {
							$('.total-prospect').text('(' + resp.count + ' prospects selected)');
						} else {
							$('.total-prospect').text('(' + resp.count + ' prospects selected)');
						}
					});
				}
			});

			$('.end-date').on('change', function(e) {
				e.preventDefault();

				var startDate = $('.start-date').val();
				var endDate   = $('.end-date').val();
				var prospectType = $('.prospect-indicator').val();

				// AUTO HIDE SPLASH SCREEN
				$('.splash').addClass('active');

				$.ajax({
					url: 'functions.php',
					type: 'POST',
					data: {
						'data[indicator]': 'render_contact',
						'data[type]': prospectType,
						'data[start_date]': startDate,
						'data[end_date]': endDate,
					}
				}).done(function(res) {
					var resp = $.parseJSON(res);

					// AUTO HIDE SPLASH SCREEN
					$('.splash').removeClass('active');

					if (resp.status == true) {
						$('.total-prospect').text('(' + resp.count + ' prospects selected)');
					} else {
						$('.total-prospect').text('(' + resp.count + ' prospects selected)');
					}
				});
			});
		});
	</script>

</body>

</html>